Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155342 - swig -swiglib reports wrong installation directory
Summary: swig -swiglib reports wrong installation directory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: swig
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 10:33 UTC by Karsten Hopp
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-31 15:03:58 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2005-04-19 10:33:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
swig -swiglib reports /usr/lib/swig_lib on x86_64, but swig is installed in
/usr/lib64/swig_lib. During compilation of other packages (OpenIPMI) the swig
libraries aren't found

Version-Release number of selected component (if applicable):
swig-1.1p5-22

How reproducible:
Always

Steps to Reproduce:
1.try to compile a package which uses swig on a 64bit machine
2.
3.
  

Actual Results:  p.e. SWIG : Fatal error.  Unable to locate 'perl5.swg' in SWIG library.

Expected Results:  normal compilation

Additional info:

Comment 1 Karsten Hopp 2006-07-31 15:03:58 UTC
current version returns /usr/share/swig/1.3.29, this is ok on 32 and 64 bit


Note You need to log in before you can comment on or make changes to this bug.